/*----------------------------------------------------
 * prognames.h Tom Green Wed Feb 23 10:07:20 1994
 *
 * Copyright 1994
 *
 * SUPER COMPUTER COMPUTATIONS RESEARCH INSTITUTE
 *            FLORIDA STATE UNIVERSITY
 *
 *
 * SCRI representatives make no claims about the
 * suitability of this software for any purpose.
 * It is provided "as is" without express or
 * implied warranty.
 *
 * static char prognames_rcsid[]="$Id: prognames.h,v 1.2 1997/08/13 17:34:29 decker Exp $";
 *
 * $Log: prognames.h,v $
 * Revision 1.2  1997/08/13 17:34:29  decker
 * Changes made to reflect version number 3.1.8
 *
 * Revision 1.1.1.1  1997/04/10 15:10:35  green
 * DQS 3.1.3.4.1 Distribution
 *
 * Revision 3.6  1996/11/20 23:05:03  nrl
 * Several fixes submitted by or as a result of investigations by
 * Ron Lee, Bodo Bechenback, Guntram Wolski and Frank Dwyyer.
 *
 * Revision 3.5  1996/03/27  15:40:57  nrl
 * appended 313 to installationnames
 *
 * Revision 3.4  1994/06/18  14:15:38  green
 * make dqs_random use prognames.h like everybody else
 *
 * Revision 3.3  1994/06/06  23:29:42  green
 * fixed bug in generating Makefile.h(actually not a bug - but AIX
 * couldn't dijest it...)
 *
 * added dqs_parse_exec_str.c(and added in Makefile.proto)
 *
 * built a more "generic" conf_file and resolve_file
 *
 * updated dqs_execd.c and dqs_start_p4.c to utilize dqs_parse_exec_str()
 *
 * had DQS_DSHD_BIN and DQS_DSH_BIN misnamed in prognames.h
 *
 * Revision 3.2  1994/05/31  00:52:42  green
 * added dsh.c dshd.c to Makefile.proto
 *
 * added MAXNAMELEN and NCARGS to def.h
 *
 * type casting in dqs_reauth.c, dqs_sec.c, dqs_setup.c to hush gcc
 * warnings
 *
 * added jmp_buf to globals.h, changed Revision number in globals.h
 *
 * added dsh and dshd tp prognames.h
 *
 * Revision 3.1  1994/04/01  02:59:38  green
 * added "qalter" support
 *
 * Revision 3.0  1994/03/07  04:15:11  green
 * 3.0 freeze
 *
 * Revision 1.4  1994/02/24  20:40:56  green
 * modified Makefile to allow parallel execution of all commands
 *
 * Revision 1.3  1994/02/23  17:19:43  green
 * moved the rcsid into the commented section as some versions
 * of make choked on it otherwise
 *
 * modified the spacing of the 3rd/4th fields of the #defs.
 * seems some cpp's take the spacing literally...
 *
 * Revision 1.2  1994/02/23  16:18:22  green
 * resolved def conflicts in "prognames.h"
 *
 * added "QUSAGE" to globals.h
 *
 * Revision 1.1  1994/02/23  15:48:21  green
 * Added "prognames.h" which defines the installed binary names.
 *
 * Modified "Makefile.proto" accordingly.
 *
 *
 *--------------------------------------------------*/

/* prognames.h allows the SM to redefine the default names
 * for DQS binaries.
 *
 * for example if you wanted to rename "qsub" to "dqs_qsub"
 * to avoid NQS name conflict:
 *
 *        #define QSUB_BIN dqs_qsub
 *        #define QSUB_BINARY "dqs_qsub"
 *
 * NOTE:
 * THERE CAN ONLY BE 1 WHITE SPACE BETWEEN THE 2nd AND 3RD FIELD!
 * 
 * Why you ask?  You don't want to know...
 *
 */

#define DSH_BIN dsh318
#define DSH_BINARY "dsh318"

#define DSHD_BIN dshd318
#define DSHD_BINARY "dshd318"

#define DQS_EXECD_BIN dqs_execd318
#define DQS_EXECD_BINARY "dqs_execd318"

#define DQS_OPTIONS_BIN dqs_options318
#define DQS_OPTIONS_BINARY "dqs_options318"

#define DQS_RANDOM_BIN dqs_random318
#define DQS_RANDOM_BINARY "dqs_random318"

#define QACCT_BIN qacct318
#define QACCT_BINARY "qacct318"

#define QALTER_BIN qalter318
#define QALTER_BINARY "qalter318"

#define QCONF_BIN qconf318
#define QCONF_BINARY "qconf318"

#define QDEL_BIN qdel318
#define QDEL_BINARY "qdel318"

#define QHOLD_BIN qhold318
#define QHOLD_BINARY "qhold318"

#define QIDLE_BIN qidle318
#define QIDLE_BINARY "qidle318"

#define QMASTER_BIN qmaster318
#define QMASTER_BINARY "qmaster318"

#define QMOD_BIN qmod318
#define QMOD_BINARY "qmod318"

#define QMON_BIN qmon318
#define QMON_BINARY "qmon318"

#define QMOVE_BIN qmove318
#define QMOVE_BINARY "qmove318"

#define QMSG_BIN qmsg318
#define QMSG_BINARY "qmsg318"

#define QRERUN_BIN qrerun318
#define QRERUN_BINARY "qrerun318"

#define QRLS_BIN qrls318
#define QRLS_BINARY "qrls318"

#define QSELECT_BIN qselect318
#define QSELECT_BINARY "qselect318"

#define QSH_BIN qsh318
#define QSH_BINARY "qsh318"

#define QSIG_BIN qsig318
#define QSIG_BINARY "qsig318"

#define QSTAT_BIN qstat318
#define QSTAT_BINARY "qstat318"

#define QSUB_BIN qsub318
#define QSUB_BINARY "qsub318"

#define QUSAGE_BIN qusage318
#define QUSAGE_BINARY "qusage318"
